from os.path import dirname
from os.path import join

from setuptools import find_packages
from setuptools import setup


with open(join(dirname(__file__), 'README.md'),
          mode='r', encoding='utf-8') as readme:
    long_description = readme.read()


def main():
    setup(
        name='report-writer',
        author='BARS Group',
        author_email='education_dev@bars-open.ru',
        version='0.2.0',
        description=(
            'Библиотека для создания отчётов'
        ),
        long_description=long_description,
        long_description_content_type='text/markdown',
        classifiers=[
            'Development Status :: 4 - Beta',
            'Intended Audience :: Developers',
            'Natural Language :: Russian',
            'Operating System :: OS Independent',
            'Programming Language :: Python',
            'Programming Language :: Python :: 3.7',
            'Topic :: Software Development :: Libraries',
            'Typing :: Typed',
        ],
        packages=find_packages('src'),
        package_dir={'': 'src'},
        include_package_data=True,
        install_requires=(
            'openpyxl==3.1.2',
            'jinja2==3.1.2',
        ),
        zip_safe=False,
    )


if __name__ == '__main__':
    main()
