class FrameOutOfBoundUsageException(Exception):
    """
    Ошибка использования клетки фрейма за его пределами
    (левее или выше начальной точки фрейма)
    """
    def __init__(self) -> None:
        super(FrameOutOfBoundUsageException, self).__init__(
            'Нельзя использовать точку курсора за пределами активного фрейма')


class NotLastStateUsage(Exception):
    """
    Ошибка при попытке взаимодействия с состоянием курсора не являющимся
    последним.
    """
    def __init__(self) -> None:
        super(NotLastStateUsage, self).__init__(
            'Использовать можно только последнее состояние курсора')
