from typing import TYPE_CHECKING
from typing import Any
from typing import Iterator
from typing import List


if TYPE_CHECKING:
    from openpyxl import Workbook


def read_xlsx(
        wb: 'Workbook',
        cell_attr: str = 'value'
) -> Iterator[List[List[Any]]]:
    """
    Чтение xlsx в двумерный массив.

    :param wb: Объект Workbook
    :param cell_attr: Используемый атрибут клетки
    :return: Таблица в виде матрицы
    """
    for ws in wb:
        yield [
            [getattr(cell, cell_attr) for cell in row]
            for row in ws.__iter__()
        ]
